Subject: Firm Sales Form
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 14 Jun 1999 10:40:00 -0700 (PDT)

Jaime,  Attached is a firm sales agreement form which ECT utilizes in  North 
America.  A lot of the form may not be relevant given the fact that (i) Pemex 
is both the seller and transporter and (ii)  unless you are near the border, 
there are no alternative sources to Pemex.  However, it is a good starting 
point.  Let me know if you have any questions.